# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/tools/vlxtool.cpp File Reference

`#include <cstdio>`
`#include <cstdlib>`
`#include <string.h>`
`#include <string>`
`#include <vector>`
`#include <vlCore/VisualizationLibrary.hpp>`
`#include <vlCore/Time.hpp>`
`#include <vlCore/ResourceDatabase.hpp>`
`#include <vlGraphics/plugins/ioVLX.hpp>`
`#include <vlGraphics/expandResourceDatabase.hpp>`

Go to the source code of this file.

## Functions

void | printHelp ()
int | main (int argc, const char *argv[])

## Function Documentation

void printHelp | ( | ) |

Definition at line 16 of file vlxtool.cpp.

Referenced by main().

int main | ( | int | argc,
|  | const char * | argv[]
| ) |  |

Definition at line 29 of file vlxtool.cpp.

References vl::Time::elapsed(), vl::String::empty(), vl::String::endsWith(), vl::expandResourceDatabase(), vl::ref< T >::get(), vl::VisualizationLibrary::init(), vl::loadResource(), printHelp(), vl::saveVLB(), vl::saveVLT(), vl::Time::start(), and vl::String::toStdString().

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.